Subject: [Simple] Missing support for RFC 5688 app-subtype in RFC 5196

From: Raphael Bossek <[email-masked]>
Date: Tue, 6 Sep 2011 15:50:49 +0200

Dear Simple list,

I'm studding the
-- RFC 3840: Indicating User Agent Capabilities in SIP
---- Introduces lot of new "media feature tags" using RFC2506: Media Feature Tag Registration Procedure
-- RFC 4569: IANA Registration of the Message Media Feature Tag
---- Introduces the "message" (sip.message) "media feature tags" using RFC 2506: Media Feature Tag Registration Procedure
-- RFC 5196: SIP User Agent Capability Extension to PIDF
---- It's a XML representation of RFC 3840 + RFC 4569
-- RFC 5688: SIP Media Feature Tag for 'Application' Media types
---- Introduces the "app-subtype" (sip.app-subtype) "media feature tags" using RFC 2506: Media Feature Tag Registration Procedure

My intention is to use the "app-subtype" media feature tag in RFC 5196 as XML tag but I could not find a RFC that allows that.

Is a new RFC required that define the missing link between RFC 5196 and RFC 5688? If so, where should I start?

Greetings,
Raphael Bossek